Name:		gtranslator
Version:	1.9.11
Release:	3%{?dist}
Summary:	Gettext po file editor for GNOME
Group:		Development/Tools
License:	GPLv3
URL:		http://gtranslator.sourceforge.net
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtranslator/1.9/%{name}-%{version}.tar.bz2
# Bug reported: http://bugzilla.gnome.org/show_bug.cgi?id=584608
Patch0:		%{name}-1.9.6-fix-update-desktop-database.patch

BuildRequires:	intltool gnome-doc-utils desktop-file-utils
BuildRequires:	db4-devel GConf2-devel libgdl-devel gnome-utils-devel
BuildRequires:	gtksourceview2-devel gtkspell-devel gucharmap-devel
BuildRequires:	libsoup-devel unique-devel libgda-devel
Requires:	hicolor-icon-theme
Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun):GConf2

%description
gtranslator is an enhanced gettext po file editor for the GNOME
desktop environment. It handles all forms of gettext po files and
features many comfortable everyday usage features like find and
replace functions, auto translation, and translation learning,

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gettext-devel gtksourceview2-devel unique-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1 -z .fix-update

%build
%configure --disable-static	--disable-scrollkeeper \
	--disable-schemas-install --enable-debug=no
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -name '*.la' -exec rm -f {} ';'

desktop-file-install --delete-original \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name} --with-gnome
# Convert to utf-8
for file in doc/UMTF/*.UMTF; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done
mkdir UMTF
cp -p doc/UMTF/{README.UMTF,ChangeLog,example.xml} UMTF

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%gconf_schema_prepare %{name}

%post
update-desktop-database -q
%gconf_schema_upgrade %{name}
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%preun
%gconf_schema_remove %{name}

%postun
update-desktop-database -q
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%doc UMTF
%{_sysconfdir}/gconf/schemas/gtranslator.schemas
%{_bindir}/gtranslator
%{_libdir}/gtranslator
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/gtranslator
%{_datadir}/icons/hicolor/*/apps/gtranslator.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gtranslator-2.0
%{_libdir}/pkgconfig/gtranslator.pc
%{_datadir}/gtk-doc/html/gtranslator

%changelog
* Fri Jul 16 2010 Chen Lei <supercyper@163.com> - 1.9.11-3
- Disable debugging flags(-ggdb -DDEBUG)
- Fix to honor %%{optflags} correctly

* Fri Jul 16 2010 Chen Lei <supercyper@163.com> - 1.9.11-2
- Remove *.la files

* Fri Jul 16 2010 Chen Lei <supercyper@163.com> - 1.9.11-1
- Update to 1.9.11
- Clean up spec agaist latest guideline

* Fri Apr 30 2010 Caius 'kaio' Chance <me at kaio.net> - 1.9.10-3
- Remove scrollkeeper and desktop-file-utils.
- Rarian has placed scrollkeeper and no scriptlet needed for rarian.
  https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Scrollkeeper

* Thu Apr 29 2010 Caius 'kaio' Chance <me at kaio.net> - 1.9.10-2
- Update license info.
- Added requires of hicolor-icon-theme.
- Converted README.umtf to UTF-8.

* Fri Apr 23 2010 Gianluca Sforna <giallu gmail com> - 1.9.10-1
- new upstream release

* Thu Nov  5 2009 Bill Nottingham <notting@redhat.com> - 1.9.6-2
- Rebuild against newer libgdl

* Tue Sep 29 2009 Alexey Torkhov <atorkhov@gmail.com> - 1.9.6-1
- Update to 1.9.6

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Alexey Torkhov <atorkhov@gmail.com> - 1.9.5-2
- Update for new gdl and requiring libuuid directly

* Sat May 30 2009 Alexey Torkhov <atorkhov@gmail.com> - 1.9.5-1
- Update to 1.9.5 with help of patch by Arkady Shane. New version required a bunch of changes:
- Dropped old patches
- Adjust Requires
- Added new scriplets

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.1.7-9
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.1.7-8
- Autorebuild for GCC 4.3

* Tue Oct 23 2007 Sindre Pedersen Bjordal <foolish@guezz.net> - 1.1.7-7
- Add patch to fix scrollkeeper configure issue
* Tue Oct 02 2007 Sindre Pedersen Bjordal <foolish@guezz.net> - 1.1.7-5
- Add missing dependency on which
* Mon Sep 24 2007 Jesse Keating <jkeating@redhat.com> - 1.1.7-4
- Bump release for upgrade path

* Fri Jun 08 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 1.1.7-3
- Add yelp dependency, closes #243401
* Tue Feb 13 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 1.1.7-2
- Rebuild 

* Mon Jan 22 2007 Sindre Pedersen Bjørdal <foolish@guezz.net> 1.1.7-1
- Take over ownership of package
- Update to 1.1.7

* Mon Feb 13 2006 Roozbeh Pournader <roozbeh@farsiweb.info> 1.1.6-3
- Rebuild for Fedora Extras 5

* Mon Jan 16 2006 Roozbeh Pournader <roozbeh@farsiweb.info> 1.1.6-2
- Add %{?dist} tag
- Rebuild
